metview (5.2.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1
  * Drop hard-coded xz compression

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Oct 2018 12:28:28 +0100

metview (5.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 04 Aug 2018 13:12:52 +0100

metview (5.1.0-2) unstable; urgency=medium

  * Update URLs in d/watch
  * Drop symlinks for libs no longer shipped. Closes: #904494.
  * Patch needed for Qt5 5.11 transition, which is stricter in C++ imports
  * Stricter version dependencies on qt5wekit, odb-api 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Jul 2018 12:34:35 +0100

metview (5.1.0-1) unstable; urgency=medium

  * New upstream release
  * Drop ENABLE_QT5 from d/rules; no longer used
  * Set ODB_PATH=/usr
  * Standards-Version: 4.1.5

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Jul 2018 21:06:12 +0100

metview (5.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 25 May 2018 11:41:28 +0100

metview (5.0.1-3) unstable; urgency=medium

  * Standards-Version: 4.1.4
  * Use gfortran-8 to o compile wih new mod files. Closes: #897809

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 May 2018 08:39:47 +0100

metview (5.0.1-2) unstable; urgency=medium

  * Add libfftw-dev build-dep. Closes: 892700,

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Mar 2018 04:06:36 +0000

metview (5.0.1-1) experimental; urgency=medium

  * New upstream release
  * Set VCS to salsa.debian.org
  * Compile Fixes needed for 5.0.1: in 5.0.1-fixes.patch.
  * Disable linking --as-needed for the moment - libs need reordering
  * Remove obsolete patches:
    - marsclient-error.patch
    - g++-6.patch
    - qt5.patch
  * Put shared libraries in their own package libmetview0d; add sonames
  * Add build-depend on libodb-api-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 08 Mar 2018 07:37:16 +0000

metview (5.0.0~beta.1-1) unstable; urgency=medium

  * New upstream release
  * Set chmod 644 on ssvg images in metview
  * Standards-Version: 4.1.3; no  changes required
  * Move python scripts to python3; dep. on it, not python
  * Set -dev pkg to MultiArch: same (not foreign; contains static libs)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Jan 2018 12:31:09 +0000

metview (4.9.1-2) unstable; urgency=medium

  * Enable ODB API support

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Nov 2017 20:10:17 +0000

metview (4.9.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.1
  * Set version in debian/CONFIG.site.in via ./rules
  * Don't ship metview_post_install_tests.sh as it includes build paths

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Oct 2017 15:23:25 +0100

metview (4.8.7-2) unstable; urgency=medium

  * Standards-Version: 4.1.0; no changes required
  * Watch file fix; add -Source to name
  * Set TZ=UTC+0 to debian/rules for reproducibility test

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Sep 2017 14:16:14 +0100

metview (4.8.7-1) unstable; urgency=medium

  * New upstream release
  * Drop B-D python3-all-dev; Closes: #866560
  * Fix watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 30 Jun 2017 07:15:54 +0100

metview (4.8.6-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.0.0;  no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 Jun 2017 03:30:37 +0100

metview (4.8.4-1) experimental; urgency=medium

  * New upstream release
  * Now depends on libeccodes-dev >= 2.2.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Mar 2017 13:18:06 +0000

metview (4.8.3-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Mar 2017 09:56:43 +0000

metview (4.8.0-4) unstable; urgency=medium

  * Add metview.desktop and icon.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 Dec 2016 13:24:36 +0000

metview (4.8.0-3) unstable; urgency=medium

  * Mark metview-data as Multi-Arch: foreign
  * Remove unnecessary GRIB_API_PATH from rule

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Dec 2016 09:44:05 +0000

metview (4.8.0-2) unstable; urgency=medium

  * Build-Depend on libemos-bin, libopenjp2-7-dev. Closes: #846775

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Dec 2016 13:10:48 +0000

metview (4.8.0-1) unstable; urgency=medium

  * New upstream release
  * Now build against eccodes instead of grib-api

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 30 Nov 2016 16:43:48 +0000

metview (4.7.2-3) unstable; urgency=medium

  * Depend on mksh, ksh subst. needed to build. Closes: #843025.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Nov 2016 07:39:18 +0000

metview (4.7.2-2) unstable; urgency=medium

  * Drop dependencies on ksh: no ksh scripts now included. Closes: #843025.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Nov 2016 11:22:47 +0000

metview (4.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Oct 2016 21:14:59 +0100

metview (4.7.0-1) unstable; urgency=medium

  * New upstream release
  * DH_COMPAT=10

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Sep 2016 19:46:17 +0100

metview (4.6.7-1) unstable; urgency=medium

  * New upstream release
   - g++6 patch merged upstream. 
   - Depend on 4.3.0+dfsg.2-8 of libterralib. Closes: #83471
   - To pre-generate files: ObjectListAll -> ObjectListAllTarget

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jul 2016 06:46:09 +0100

metview (4.6.5-5) unstable; urgency=medium

  * Use python3-all-dev, now that magics++ uses python3. Closes: #823165
  * set LC_ALL=C in debian/rules for reproducibility

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Jul 2016 13:18:25 +0100

metview (4.6.5-4) unstable; urgency=medium

  * Remove obsolete dependency on OpenJPEG. Closes: #826821
  * Enable stdc=c++11 for unique_ptr features in magics++

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Jun 2016 11:48:38 +0100

metview (4.6.5-3) unstable; urgency=medium

  * Depend on magics >= 2.28.0-2 to get fixed gfortran dependency.
    Closes: #825021

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 May 2016 10:14:42 +0100

metview (4.6.5-2) unstable; urgency=medium

  * Add python-all-dev, now needed for linking. Closes: #823165.
  * Standards-Version: 3.9.8.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 May 2016 15:57:01 +0100

metview (4.6.5-1) unstable; urgency=medium

  * New upstream release: Closes: #818857.
    *  fix-paths.patch removed
  * Standards-Version: 3.9.7. No changes required.
  * auto-ptr.patch: remove obsolete auto_ptrs.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Apr 2016 16:44:21 +0100

metview (4.6.1-5) unstable; urgency=medium

  * Remove B-D on libmotif-dev as it is no longer used (Qt5 is instead)
  * Split dh_fixperms to arch and -indep parts, so dpkg-buildpackage -A
    works. Closes: #814437.
  * Fix bashisms. Closes: #772310.
  * Patch for G++ 6 changes (c++-11 abi). Closes: #812161.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Feb 2016 23:02:36 +0000

metview (4.6.1-4) unstable; urgency=medium

  * Fix for --no-arch-all builds

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jan 2016 03:08:30 +0000

metview (4.6.1-3) unstable; urgency=medium

  * compress files 'gzip -n' for reproducibility. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jan 2016 07:23:27 +0000

metview (4.6.1-2) unstable; urgency=medium

  * Depend on libgrib-api-dev >= 1.14.4-5 to pull in its Build-dependencies.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Jan 2016 13:21:31 +0000

metview (4.6.1-1) unstable; urgency=medium

  * New upstream release.
    * qt5.patch now merged upstream.
  * B-D on magics >= 2.26.2-1
  * metview explicitly depends on ksh. Closes: #808815.
  * Fix path in metview script. Closes: #808816.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Jan 2016 07:36:31 +0000

metview (4.5.7-4) unstable; urgency=medium

  * Add FPIC support properly. FPIC not being picked up on CXX for i386

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Nov 2015 10:37:35 +0000

metview (4.5.7-3) unstable; urgency=medium

  * Next in the round of exciting metview reproducibility fixes. 
    Closes: #806580.
  * Use -fPIC on i386
  * Link "--as-needed"
  * Define PATH_MAX in mars.h for Hurd FTBFS.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Dec 2015 14:14:19 +0000

metview (4.5.7-2) unstable; urgency=medium

  * Set DISABLE_OS_CHECK=On (new feature) for Hurd, kFreeBSD builds.
  * Acknowledge new upstream fixes FTBFS. Closes: #803073. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 28 Oct 2015 13:52:58 +0000

metview (4.5.7-1) unstable; urgency=medium

  * New upstream release. 
   - Qt5 now merged upstream. Closes: #784497.
  * Add patch to make build reproducible - fix dates in MvVersionDetails
  * Depend on emoslib (>= 2:4.1.1-2) for cmake build scripts

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Oct 2015 20:01:18 +0100

metview (4.5.6-6) unstable; urgency=medium

  * Build against magics++ (>= 2.24.7-7) for its g++5 transition. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 12 Sep 2015 08:59:09 +0100

metview (4.5.6-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move from experimental to unstable.
  * Rebuild with magics++ for libterralib & netcdf transitions.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 23 Aug 2015 23:27:34 +0200

metview (4.5.6-5.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Add build dependency on libnetcdf-cxx-legacy-dev for netcdf transition.
    (closes: #794027)
  * Add build dependency on gfortran required for the build.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Aug 2015 17:22:04 +0200

metview (4.5.6-5) experimental; urgency=medium

  * Build against libterralib3 for g++5 transition.
  * Patch: Move from Qt4 to Qt5
  * Temporarily undo netcdf transition until gcc5 transition done.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Aug 2015 09:24:33 +0100

metview (4.5.6-4exp1) experimental; urgency=medium

  * Build against magics >= 2.24.7-4 for netcdf transition.
  * Drop dependency on scm, which metview does not use. It uses 'scm'
    for 'single column model', something else entirely 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Jul 2015 14:23:43 +0100

metview (4.5.6-3) unstable; urgency=medium

  * B-D on gfortran. Strange, this wasn't needed in my amd64 sbuild 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Jul 2015 10:30:27 +0100

metview (4.5.6-2) unstable; urgency=medium

  * B-D on flex, bison, libhdf5-dev directlty, latest magics++. Closes: #793546. 
  * Pre-generate /etc/* files on non-sbuild run, as build uses network
    connection to localhost not available in sbuilds.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Jul 2015 20:17:08 +0100

metview (4.5.6-1) unstable; urgency=medium

  * New upstream release.
  * Move to cmake-based build
  * Depend on g++ >= 4:4.5.0 for transition. Closes: #778004.
  * Depend on magics upgrade for new release. Closes: #793176.
  * Update homepage URL. Closes: #769180.
  * fix-colors.patch: Fixed upstream.
  * syserrlist.patch temporarily disabled
  * no-m32 patch temporarily disabled.
  * Need to build-depend on libgrib-api-tools
  * Now B-D on openjpeg-dev. 
  * Move metview_bin/* to /usr/lib/$(ARCH)/metview for multi-arch safety

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Jul 2015 19:39:15 +0100

metview (4.4.8+dfsg.1-8) unstable; urgency=medium

  * Add Build-conflicts on openjpeg-dev. Closes: #767746.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Nov 2014 11:58:27 +0000

metview (4.4.8+dfsg.1-7) unstable; urgency=medium

  * Depend on libmagics++-dev >= 2.22.7.dfsg.1-3 to get header files
    which went missing. Closes: 765130.
  * Remove scm dependencies on arm64, ppc64 archs for which it is
    not currently available.
  * Patch socklen-fix to fix missing type conversion on alphas.
  * Standards-Version: 3.9.6, no changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Oct 2014 15:32:06 +0100

metview (4.4.8+dfsg.1-6) unstable; urgency=medium

  * Fix for FTBFS on kFreeBSD systems (sys_errlist). 
  * Acknowledge closed bug: Closes: #760520.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Sep 2014 18:43:48 +0100

metview (4.4.8+dfsg.1-5) unstable; urgency=medium

  * Don't delete ConfigDef in clean target;
  * make find .  also conditional on arch-only buildds.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Sep 2014 15:33:20 +0100

metview (4.4.8+dfsg.1-4) unstable; urgency=medium

  * Make chown in debian/rules conditional so it won't break on
    arch-only buildd's.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Sep 2014 12:12:06 +0100

metview (4.4.8+dfsg.1-3) unstable; urgency=medium

  * Add patch to convert color in GRIB.xpm that 'convert' now complains
   is undefined.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Sep 2014 20:38:01 +0100

metview (4.4.8+dfsg.1-2) unstable; urgency=medium

  * Set $HOME in debian/rules to tmp directory; scripts run during install
    fail under sbuild if its not set.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Sep 2014 15:01:34 +0100

metview (4.4.8+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Also need libqtwebkit-dev, libxmu-dev Closes: #760028. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Sep 2014 09:09:29 +0100

metview (4.4.7+dfsg.1-2) unstable; urgency=medium

  * Add libtqt4-dev to Build-Depends to configure qmake correctly.
    Closes: #760028.
  * no-m32.patch for configure.ac: don't compile everything !amd64 as '-m32'.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 31 Aug 2014 12:54:05 +0100

metview (4.4.7+dfsg.1-1) unstable; urgency=low

  * Initial release. (Closes: #693834)

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Jun 2014 10:04:29 +0100
